@charset "utf-8";

main {
  padding-bottom: 32px;
}

.hero-section {
  padding-top: 16px;
  text-align: center;

  h1 {
    font-size: 24px;
  }

  h1+p {
    margin-top: 8px;
  }
}

.page-section {
  margin-top: 16px;

  .template-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
    margin-top: 8px;
    gap: 2px;

    @media (width < 720px) {
      grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
      font-size: 13px;
    }
  }

  .template-item {
    aspect-ratio: 4 / 3;
  }

  .template-link {
    display: block;
    height: 100%;
    position: relative;
    border: 1px solid var(--color-border);
    overflow: hidden;
  }

  .template-img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: transform 0.3s;
  }

  .template-p {
    position: absolute;
    inset: auto -1px -1px;
    background: var(--bg-btn);
    color: var(--color-btn);
    border: 1px solid var(--color-border);
    transition: transform 0.3s;
    line-height: 1.2;
    padding: 2px;
  }

  @media (hover: hover) {
    .template-link:hover {
      .template-img {
        transform: scale(1.1);
      }

      .template-p {
        transform: translateY(100%);
      }
    }
  }

  .other-list {
    margin-top: 8px;
    display: flex;
    gap: 4px;
  }

  .other-item {
    display: flex;
    gap: 4px;

    &+&::before {
      content: '|';
      color: var(--color-border);
    }
  }
}
